RPMDB(8)

NUME
rpmdb - instrumentul de baze de date RPM

SINOPSIS
rpmdb [opțiuni] {--initdb|--rebuilddb}

rpmdb [opțiuni] {--verifydb}

rpmdb [opțiuni] {--exportdb|--importdb}

DESCRIERE
rpmdb este utilizat pentru operațiile de întreținere a bazei de date rpm.

OPERAȚII
--initdb
    Creează o nouă bază de date dacă nu există deja una. O bază de date existentă nu este suprascrisă.

--rebuilddb
    Reconstruiește baza de date din antetele pachetelor instalate. Reconstruirea elimină din baza de date orice antete ilizibile (corupte), dar și compactează baza de date în cazul în care aceasta a crescut în timp.

    De asemenea, poate fi utilizată pentru a converti între diferite formate rpmdb.

--verifydb
    Efectuează o verificare la nivel scăzut a integrității bazei de date. Rareori utilă, pentru sănătatea sistemului rpm --verify -a este o operație mult mai semnificativă.

--exportdb
    Exportă baza de date în formatul listă de antete, potrivit pentru transfer către o altă gazdă sau tip de bază de date. Datele sunt afișate la ieșirea standard.

--importdb
    Importă o bază de date dintr-un format de listă de antete creat de --exportdb. Datele sunt citite de la intrarea standard.

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor executabilelor rpm.

CONFIGURARE
Există mai multe opțiuni configurabile care afectează operațiile rpmdb, dar în special următoarele (a se vedea rpm-config(5) pentru detalii):
•   %_dbpath
•   %_db_backend

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpmdb --initdb --dbpath /tmp/testdb
    Inițializează o nouă bază de date în directorul /tmp/testdb.

rpmdb --rebuilddb
    Reconstruiește sistemul rpmdb (baza de date rpm a sistemului).

rpmdb --verifydb --root /mnt
    Verifică baza de date de sistem a unei imagini de sistem montată la /mnt.

rpmdb --exportdb > /tmp/headers
    Exportă baza de date a sistemului în fișierul /tmp/headers.

rpmdb --importdb --define "_db_backend ndb" --dbpath /tmp/newdb < /tmp/headers
    Importă conținutul listei de antete /tmp/headers într-o (nouă) bază de date în format ndb în /tmp/newdb..PP

OPȚIUNI
Consultați rpm-common(8) pentru opțiunile comune tuturor operațiilor.

CONSULTAȚI ȘI
popt(3), rpm(8), rpm-common(8)

rpmdb --help - deoarece rpm(8) acceptă personalizarea opțiunilor prin intermediul de diferite alias «popt», este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.